Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API Dokument schließen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   API Dokument schließen (5503 mal gelesen)
Jörg W
Mitglied
Maschinenbautechniker und CAD Admin


Sehen Sie sich das Profil von Jörg W an!   Senden Sie eine Private Message an Jörg W  Schreiben Sie einen Gästebucheintrag für Jörg W

Beiträge: 1224
Registriert: 12.07.2001

Win 7 64bit
Intel Core I7 3,40GHz
SW2014 SP5
HP z230
16GB Ram
Quadro K2000

erstellt am: 23. Jan. 2003 15:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo APIProgrammier- und Anwendungsschnittstelle (Application Programming Interface) - Profis

Wenn ich bei einer Datei mal vergessen habe vor dem Speichern die Ansicht auf den best möglichen Zoomfaktor einzustellen, habe ich beim nächsten öffnen in der Voransicht zu 70 % eine Detailansicht bei der ich das Teil oder die Baugruppe nicht richtig erkennen kann.

Deshalb habe ich mir ein Makro erstellt, mit dem ich ein Teil oder Baugruppe in der isometrischen Ansicht und Zeichnungen in der größt möglichen Ansicht abspeichern kann.

Da ich das Makro immer erst am Ende der Bearbeitung einsetze, schließe ich anschließend diese Datei.
Jetzt habe ich versucht das Schließen der Datei noch in mein Makro einzubauen, habe es aber nicht geschafft da ich leider in VBA nicht so fitt bin.

Wer kann mir dabei helfen??

Hier ist noch das vorhandene Makro:


Dim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long
Dim Annotation As Object
Dim Gtol As Object
Dim DatumTag As Object
Dim FeatureData As Object
Dim Feature As Object
Dim Component As Object

Sub main()

Set swApp = CreateObject("SldWorks.Application")
Set Part = swApp.ActiveDoc
Part.ShowNamedView2 "*Isometrisch", 7
Part.Save2 False
Part.ViewZoomtofit2
Part.Save2 False
End Sub


Habe es mit:
Set Part = Nothing
swApp.CloseDoc "Teil1"
Set swApp = Nothing

versucht, aber die Datei wird nach dem Speichern nicht geschlossen.

Was mache ich da Falsch 


------------------
Pfürti Jörg W 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 23. Jan. 2003 15:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Hi Jörg,
soweit ich weiss musst Du bei closeDoc den gesamten Dateinamen angeben. Versuchs doch mal hiermit:

Name = Part.GetPathName()
swApp.CloseDoc Name

So mache ich das in meinen Makros!!

[edit] Hey, das war mein 300. Beitrag  ich schmeiss 'ne virtuelle Runde Bier (und für Stefan 'nen Cappuccino ] [/edit]

------------------
Viele Grüße aus dem Schwarzwald
gismo

[Diese Nachricht wurde von gismo am 23. Januar 2003 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

u.clemens
Mitglied
Konstrukteur


Sehen Sie sich das Profil von u.clemens an!   Senden Sie eine Private Message an u.clemens  Schreiben Sie einen Gästebucheintrag für u.clemens

Beiträge: 939
Registriert: 04.07.2000

engineer's law
o cheap
o fast
o good
check only two !

erstellt am: 23. Jan. 2003 15:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Ich würd es ja mit
ModelDoc.Close bzw in Deinem Fall Part.Close machen.
Geht das nicht ?
In der APIProgrammier- und Anwendungsschnittstelle (Application Programming Interface)-Hilfe steht dazu: This function closes the current document
Das muß doch gehen.

------------------
mfg uc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8579
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 23. Jan. 2003 15:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Hallo Jörg,

ich mach das so ähnlich wie gismo mit

SwApp.CloseDoc Part.GetTitle

Du siehst, auch beid er API führen viele Wege nach Rom.

Ciao,
Stefan

PS: Superklasse Thomas, und danke für den Capuccino 


------------------
Inoffizielle deutsche SolidWorks Hilfeseite
http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg W
Mitglied
Maschinenbautechniker und CAD Admin


Sehen Sie sich das Profil von Jörg W an!   Senden Sie eine Private Message an Jörg W  Schreiben Sie einen Gästebucheintrag für Jörg W

Beiträge: 1224
Registriert: 12.07.2001

Win 7 64bit
Intel Core I7 3,40GHz
SW2014 SP5
HP z230
16GB Ram
Quadro K2000

erstellt am: 24. Jan. 2003 07:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


anpassen,speichernundschließen.zip

 
Hallo Spezis

Super    mit der Antwort von Gismo hat es funktioniert.
Ich geb auch noch ne Runde
Unities sind unterwegs

@ Gismo
Glückwunsch und mach weiter so. Wir lieben Dich

@ Stefan
Habe dir noch mal das komplette Makro für die Makro Tauschbörse mitgeschickt.

------------------
Pfürti Jörg W 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 24. Jan. 2003 09:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Moin Jörg,
vielen Dank für die "Blumen". Ich schäm mich ja richtig *rotanlauf* 
Was ich eigentlich sagen wollte: irgendwas klappt mit dem Download der Datei nicht. Könntest Du die nochmal hochladen? (evtl. ohne Komma im Dateimnamen?)
Vielen Dank im Voraus!

------------------
Viele Grüße aus dem Schwarzwald
gismo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg W
Mitglied
Maschinenbautechniker und CAD Admin


Sehen Sie sich das Profil von Jörg W an!   Senden Sie eine Private Message an Jörg W  Schreiben Sie einen Gästebucheintrag für Jörg W

Beiträge: 1224
Registriert: 12.07.2001

Win 7 64bit
Intel Core I7 3,40GHz
SW2014 SP5
HP z230
16GB Ram
Quadro K2000

erstellt am: 24. Jan. 2003 09:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


anpassen-speichern-schließen.zip

 
Hallo gismo

Das ist mir aber jetzt peinlich 
Also hier der zweite Versuch

------------------
Pfürti Jörg W 

[Diese Nachricht wurde von Jörg W am 24. Januar 2003 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg W
Mitglied
Maschinenbautechniker und CAD Admin


Sehen Sie sich das Profil von Jörg W an!   Senden Sie eine Private Message an Jörg W  Schreiben Sie einen Gästebucheintrag für Jörg W

Beiträge: 1224
Registriert: 12.07.2001

Win 7 64bit
Intel Core I7 3,40GHz
SW2014 SP5
HP z230
16GB Ram
Quadro K2000

erstellt am: 24. Jan. 2003 09:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


anpassen_speichern_schließen.zip

 
Hallo zusammen

Und der dritte Versuch
Ich hoffe das ich das heute noch hinbekomme

------------------
Pfürti Jörg W 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

gismo
Mitglied
SWX Support


Sehen Sie sich das Profil von gismo an!   Senden Sie eine Private Message an gismo  Schreiben Sie einen Gästebucheintrag für gismo

Beiträge: 1047
Registriert: 05.03.2001

Dell M6600;
8GB Ram;
QuadroFX3000m
WIN7 Pro X64;
Alle SWX ;)

erstellt am: 24. Jan. 2003 09:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Hi Jörg,
es klappt immer noch nicht. Nimm mal das ß raus und tausche es gegen ss. Das ist glaub ich das Problem!!

------------------
Viele Grüße aus dem Schwarzwald
gismo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Jörg W
Mitglied
Maschinenbautechniker und CAD Admin


Sehen Sie sich das Profil von Jörg W an!   Senden Sie eine Private Message an Jörg W  Schreiben Sie einen Gästebucheintrag für Jörg W

Beiträge: 1224
Registriert: 12.07.2001

Win 7 64bit
Intel Core I7 3,40GHz
SW2014 SP5
HP z230
16GB Ram
Quadro K2000

erstellt am: 24. Jan. 2003 09:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Makro.zip

 
Ich nochmal

Bin warscheinlich zu B...
auf ein neues

------------------
Pfürti Jörg W 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

THSEFA
Mitglied
Konstrukteur / CAD-Administrator


Sehen Sie sich das Profil von THSEFA an!   Senden Sie eine Private Message an THSEFA  Schreiben Sie einen Gästebucheintrag für THSEFA

Beiträge: 1076
Registriert: 27.11.2002

SWX 2015 SP3.0
Windows 7 Prof. 64Bit
Fujitsu CELSIUS M720
Intel XEON E5 1620
Quadro 4000
16 GB Ram

erstellt am: 08. Nov. 2006 10:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Jörg W 10 Unities + Antwort hilfreich

Da das Thema grad aktuell war, hab ich gleich mal eine Frage dazu: Funktioniert das Makro auch in SWX 2007? Hat da schon jemand was ausprobiert?

------------------
Viele Grüße, THSEFA 

KnightFight

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de